Package ch.ntb.usb

# Class Usb_Descriptor

java.lang.Object
ch.ntb.usb.Usb_Descriptor

Direct Known Subclasses:
  `Usb_Config_Descriptor`, `Usb_Device_Descriptor`, `Usb_Endpoint_Descriptor`, `Usb_Interface_Descriptor`

public class Usb_Descriptor extends Object
Common USB descriptor values.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`USB_DT_CONFIG`
Descriptor types.
`static final int`
`USB_DT_CONFIG_SIZE`
Descriptor sizes per descriptor type.
`static final int`
`USB_DT_DEVICE`
Descriptor types.
`static final int`
`USB_DT_DEVICE_SIZE`
Descriptor sizes per descriptor type.
`static final int`
`USB_DT_ENDPOINT`
Descriptor types.
`static final int`
`USB_DT_ENDPOINT_AUDIO_SIZE`
Descriptor sizes per descriptor type.
`static final int`
`USB_DT_ENDPOINT_SIZE`
Descriptor sizes per descriptor type.
`static final int`
`USB_DT_HID`
Descriptor types.
`static final int`
`USB_DT_HUB`
Descriptor types.
`static final int`
`USB_DT_HUB_NONVAR_SIZE`
Descriptor sizes per descriptor type.
`static final int`
`USB_DT_INTERFACE`
Descriptor types.
`static final int`
`USB_DT_INTERFACE_SIZE`
Descriptor sizes per descriptor type.
`static final int`
`USB_DT_PHYSICAL`
Descriptor types.
`static final int`
`USB_DT_REPORT`
Descriptor types.
`static final int`
`USB_DT_STRING`
Descriptor types.

## Constructor Summary

Constructors
Constructor
Description
`Usb_Descriptor()`

## Method Summary

Modifier and Type
Method
Description
`byte`
`getBDescriptorType()`
Get the type of this descriptor.
`byte`
`getBLength()`
Get the size of this descriptor in bytes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### USB_DT_DEVICE

public static final int USB_DT_DEVICE
Descriptor types.

See Also:
  - Constant Field Values

### USB_DT_CONFIG

public static final int USB_DT_CONFIG
Descriptor types.

See Also:
  - Constant Field Values

### USB_DT_STRING

public static final int USB_DT_STRING
Descriptor types.

See Also:
  - Constant Field Values

### USB_DT_INTERFACE

public static final int USB_DT_INTERFACE
Descriptor types.

See Also:
  - Constant Field Values

### USB_DT_ENDPOINT

public static final int USB_DT_ENDPOINT
Descriptor types.

See Also:
  - Constant Field Values

### USB_DT_HID

public static final int USB_DT_HID
Descriptor types.

See Also:
  - Constant Field Values

### USB_DT_REPORT

public static final int USB_DT_REPORT
Descriptor types.

See Also:
  - Constant Field Values

### USB_DT_PHYSICAL

public static final int USB_DT_PHYSICAL
Descriptor types.

See Also:
  - Constant Field Values

### USB_DT_HUB

public static final int USB_DT_HUB
Descriptor types.

See Also:
  - Constant Field Values

### USB_DT_DEVICE_SIZE

public static final int USB_DT_DEVICE_SIZE
Descriptor sizes per descriptor type.

See Also:
  - Constant Field Values

### USB_DT_CONFIG_SIZE

public static final int USB_DT_CONFIG_SIZE
Descriptor sizes per descriptor type.

See Also:
  - Constant Field Values

### USB_DT_INTERFACE_SIZE

public static final int USB_DT_INTERFACE_SIZE
Descriptor sizes per descriptor type.

See Also:
  - Constant Field Values

### USB_DT_ENDPOINT_SIZE

public static final int USB_DT_ENDPOINT_SIZE
Descriptor sizes per descriptor type.

See Also:
  - Constant Field Values

### USB_DT_ENDPOINT_AUDIO_SIZE

public static final int USB_DT_ENDPOINT_AUDIO_SIZE
Descriptor sizes per descriptor type.

See Also:
  - Constant Field Values

### USB_DT_HUB_NONVAR_SIZE

public static final int USB_DT_HUB_NONVAR_SIZE
Descriptor sizes per descriptor type.

See Also:
  - Constant Field Values

## Constructor Details

### Usb_Descriptor

public Usb_Descriptor()

## Method Details

### getBDescriptorType

public byte getBDescriptorType()
Get the type of this descriptor.

Returns:
  the type of this descriptor

### getBLength

public byte getBLength()
Get the size of this descriptor in bytes.

Returns:
  the size of this descriptor in bytes